Name:                maven-reporting-exec
Version:             2.0.0
Release:             1
BuildArch:           noarch
Summary:             Classes to manage report plugin executions with Maven 3
License:             ASL 2.0
URL:                 http://maven.apache.org/shared/maven-reporting-exec/
Source0:             https://repo.maven.apache.org/maven2/org/apache/maven/reporting/%{name}/%{version}-M1/%{name}-%{version}-M1-source-release.zip

BuildRequires:       maven-local mvn(org.apache.maven:maven-artifact)
BuildRequires:       mvn(org.apache.maven:maven-core) mvn(org.apache.maven:maven-model)
BuildRequires:       mvn(org.apache.maven:maven-plugin-api) mvn(org.apache.maven:maven-settings)
BuildRequires:       mvn(org.apache.maven:maven-settings-builder)
BuildRequires:       mvn(org.apache.maven.plugins:maven-invoker-plugin)
BuildRequires:       mvn(org.apache.maven.reporting:maven-reporting-api)
BuildRequires:       mvn(org.apache.maven.shared:maven-shared-components:pom:)
BuildRequires:       mvn(org.apache.maven.shared:maven-shared-utils)
BuildRequires:       mvn(org.codehaus.plexus:plexus-component-annotations)
BuildRequires:       mvn(org.codehaus.plexus:plexus-component-metadata)
BuildRequires:       mvn(org.eclipse.aether:aether-api) mvn(org.eclipse.aether:aether-util)
BuildRequires:       mvn(org.eclipse.sisu:org.eclipse.sisu.plexus)
BuildRequires:       mvn(org.apache.maven.plugins:maven-shade-plugin)
Requires:            java-headless

%description
Classes to manage report plugin executions with Maven 3. Contains classes for
managing and configuring reports and their execution.

%package javadoc
Summary:             API documentation for %{name}
%description javadoc
The API documentation of %{name}.

%prep
%autosetup -n %{name}-%{version}-M1

# convert CR+LF to LF
sed -i 's/\r//g' pom.xml src/main/java/org/apache/maven/reporting/exec/*
sed -i 's/class ReportPlugin/public class ReportPlugin/g' src/main/java/org/apache/maven/reporting/exec/ReportPlugin.java
# Build against Maven 3.x, Eclipse Aether and Eclipse Sisu
%pom_remove_plugin org.apache.maven.plugins:maven-enforcer-plugin

%build
%mvn_build -f

%install
%mvn_install

%files -f .mfiles
%doc LICENSE NOTICE DEPENDENCIES

%files javadoc -f .mfiles-javadoc
%doc LICENSE NOTICE

%changelog
* Tue Jan 23 2024 Ge Wang <wang__ge@126.com> 2.0.0-1
- Update to version 2.0.0

* Tue Aug 11 2020 maminjie <maminjie1@huawei.com> - 1.4-1
- package init
